if (IGNITION-TRANSPORT_CONFIG_INCLUDED)
  return()
endif()
set(IGNITION-TRANSPORT_CONFIG_INCLUDED TRUE)

list(APPEND IGNITION-TRANSPORT_INCLUDE_DIRS /usr/include)

list(APPEND IGNITION-TRANSPORT_LIBRARY_DIRS /usr/lib64)

list(APPEND IGNITION-TRANSPORT_CFLAGS -I/usr/include)

# Visual Studio enables c++11 support by default
if (NOT MSVC)
  list(APPEND IGNITION-TRANSPORT_CXX_FLAGS -std=c++11)
endif()
if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  set(IGNITION-TRANSPORT_CXX_FLAGS "${IGNITION-TRANSPORT_CXX_FLAGS} -stdlib=libc++")
endif ()

foreach(lib ignition-transport)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /usr/lib64;
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package IGNITION-TRANSPORT is not installed properly")
  endif()
  list(APPEND IGNITION-TRANSPORT_LIBRARIES ${onelib})
endforeach()

foreach(dep Protobuf)
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  string(TOUPPER ${dep} dep_upper)
  list(APPEND IGNITION-TRANSPORT_INCLUDE_DIRS ${${dep_upper}_INCLUDE_DIRS})
  list(APPEND IGNITION-TRANSPORT_LIBRARIES ${${dep_upper}_LIBRARIES})
endforeach()

list(APPEND IGNITION-TRANSPORT_LDFLAGS -L/usr/lib64)
